Data Fields
acc_hal_a121_t Struct Reference

`#include <acc_hal_definitions_a121.h>`

## Data Fields
uint16_t | max_spi_transfer_size
acc_hal_mem_alloc_function_t | mem_alloc
acc_hal_mem_free_function_t | mem_free
acc_hal_sensor_transfer8_function_t | transfer
acc_hal_log_function_t | log
acc_hal_optimization_t | optimization

## Detailed Description

Examples
  example_bring_up.c, example_control_helper.c, example_detector_distance.c, example_detector_distance_calibration_caching.c, example_detector_distance_low_power_hibernate.c, example_detector_distance_low_power_off.c, example_detector_distance_with_iq_data_print.c, example_detector_presence.c, example_detector_presence_low_power_hibernate.c, example_detector_presence_low_power_off.c, example_detector_presence_multiple_configurations.c, example_detector_presence_with_iq_data_print.c, example_diagnostic_test.c, example_processing_amplitude.c, example_processing_coherent_mean.c, example_processing_noncoherent_mean.c, example_processing_peak_interpolation.c, example_processing_static_presence.c, example_processing_subtract_adaptive_bg.c, example_service.c, example_service_calibration_caching.c, example_service_low_power_sensor_disable.c, example_service_low_power_sensor_hibernate.c, example_service_multiple_configurations.c, example_service_sensor_disable.c, example_service_sensor_hibernate.c, example_service_sensor_off.c, example_service_subsweeps.c, example_vibration_main.c, and ref_app_tank_level.c.

Definition at line 82 of file acc_hal_definitions_a121.h.

## Field Documentation

## ◆ log

acc_hal_log_function_t acc_hal_a121_t::log

Definition at line 89 of file acc_hal_definitions_a121.h.

## ◆ max_spi_transfer_size

uint16_t acc_hal_a121_t::max_spi_transfer_size

Definition at line 84 of file acc_hal_definitions_a121.h.

## ◆ mem_alloc

acc_hal_mem_alloc_function_t acc_hal_a121_t::mem_alloc

Definition at line 86 of file acc_hal_definitions_a121.h.

## ◆ mem_free

acc_hal_mem_free_function_t acc_hal_a121_t::mem_free

Definition at line 87 of file acc_hal_definitions_a121.h.

## ◆ optimization

acc_hal_optimization_t acc_hal_a121_t::optimization

Definition at line 90 of file acc_hal_definitions_a121.h.

## ◆ transfer

acc_hal_sensor_transfer8_function_t acc_hal_a121_t::transfer

Definition at line 88 of file acc_hal_definitions_a121.h.

The documentation for this struct was generated from the following file:

- Inc/acc_hal_definitions_a121.h